%define module_name Devel-Events
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Carp/Heavy.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/AttributeHelpers.pm) perl(Scalar/Util.pm) perl(Set/Object.pm) perl(Sub/Uplevel.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(ok.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: Extensible instrumentation framework.
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/Devel-Events

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Devel::Events manpage is an event generation, filtering and analaysis framework for
instrumenting and auditing perl code.

The design's purpose is to decouple the mechanics of code instrumentation from
the analysis, making it easier to write debugging/profiling tools.

the Devel::Events::Generator manpage object fire events, which can be mangled by
the Devel::Event::Filter manpage objects. Eventually any number of
the Devel::Event::Handler manpage objects can receive a given event, and perform
analysis based on it.

For example the Devel::Event::Handler::ObjectTracker manpage can be used to detect
leaks.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Sat Mar 31 2018 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

